Bug 985983 - [abrt] control-center-3.8.3-2.fc19: up_client_changed: Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
[abrt] control-center-3.8.3-2.fc19: up_client_changed: Process /usr/bin/gnome...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
abrt_hash:9f38a67081865f413090f472bf8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 12:46 EDT by Igor Gnatenko
Modified: 2013-08-21 20:46 EDT (History)
7 users (show)

See Also:
Fixed In Version: control-center-3.8.4.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 20:46:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (83.32 KB, text/plain)
2013-07-18 12:47 EDT, Igor Gnatenko
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-18 12:47 EDT, Igor Gnatenko
no flags Details
File: core_backtrace (2.26 KB, text/plain)
2013-07-18 12:47 EDT, Igor Gnatenko
no flags Details
File: dso_list (24.43 KB, text/plain)
2013-07-18 12:47 EDT, Igor Gnatenko
no flags Details
File: environ (2.97 KB, text/plain)
2013-07-18 12:47 EDT, Igor Gnatenko
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-18 12:47 EDT, Igor Gnatenko
no flags Details
File: maps (115.07 KB, text/plain)
2013-07-18 12:47 EDT, Igor Gnatenko
no flags Details
File: open_fds (989 bytes, text/plain)
2013-07-18 12:47 EDT, Igor Gnatenko
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-07-18 12:47 EDT, Igor Gnatenko
no flags Details
File: var_log_messages (3.03 KB, text/plain)
2013-07-18 12:47 EDT, Igor Gnatenko
no flags Details

  None (edit)
Description Igor Gnatenko 2013-07-18 12:46:53 EDT
Description of problem:
After booting into kernel w/o backlight acpi_video0 in sysfs. Only with intel backlight in sysfs I can't use power settings.

Version-Release number of selected component:
control-center-3.8.3-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gnome-control-center power
crash_function: up_client_changed
executable:     /usr/bin/gnome-control-center
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 up_client_changed at cc-power-panel.c:704
 #1 cc_power_panel_init at cc-power-panel.c:2099
 #2 g_type_create_instance at gtype.c:1917
 #3 g_object_constructor at gobject.c:1855
 #5 g_object_new_valist at gobject.c:1836
 #7 cc_panel_loader_load_by_name at cc-panel-loader.c:213
 #8 activate_panel at cc-window.c:151
 #9 cc_window_set_active_panel_from_id at cc-window.c:998
 #10 cc_application_command_line at cc-application.c:199
 #11 ffi_call_unix64 at ../src/x86/unix64.S:76
Comment 1 Igor Gnatenko 2013-07-18 12:47:00 EDT
Created attachment 775372 [details]
File: backtrace
Comment 2 Igor Gnatenko 2013-07-18 12:47:06 EDT
Created attachment 775373 [details]
File: cgroup
Comment 3 Igor Gnatenko 2013-07-18 12:47:11 EDT
Created attachment 775374 [details]
File: core_backtrace
Comment 4 Igor Gnatenko 2013-07-18 12:47:15 EDT
Created attachment 775375 [details]
File: dso_list
Comment 5 Igor Gnatenko 2013-07-18 12:47:20 EDT
Created attachment 775376 [details]
File: environ
Comment 6 Igor Gnatenko 2013-07-18 12:47:25 EDT
Created attachment 775377 [details]
File: limits
Comment 7 Igor Gnatenko 2013-07-18 12:47:32 EDT
Created attachment 775378 [details]
File: maps
Comment 8 Igor Gnatenko 2013-07-18 12:47:37 EDT
Created attachment 775379 [details]
File: open_fds
Comment 9 Igor Gnatenko 2013-07-18 12:47:42 EDT
Created attachment 775380 [details]
File: proc_pid_status
Comment 10 Igor Gnatenko 2013-07-18 12:47:47 EDT
Created attachment 775381 [details]
File: var_log_messages
Comment 11 Milan Bouchet-Valat 2013-08-09 03:45:09 EDT
Same here with same version of control-center on 64-bit.
Comment 12 Fedora Update System 2013-08-19 12:18:46 EDT
control-center-3.8.4.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/control-center-3.8.4.1-1.fc19
Comment 13 Fedora Update System 2013-08-20 20:01:53 EDT
Package control-center-3.8.4.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing control-center-3.8.4.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15038/control-center-3.8.4.1-1.fc19
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-08-21 20:46:28 EDT
control-center-3.8.4.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.